API Docs / Schemas / MyApiKeyDto

MyApiKeyDto

One of the caller's API keys (GET /me/api-keys). The key itself is never returned after it is issued.

Properties

Name Type Description
code*string

The key's code, used to delete it

The key's code, used to delete it

name*string

The key's name

The key's name

isActive*boolean

False for a key that has been switched off; it no longer authenticates

False for a key that has been switched off; it no longer authenticates

lastUsedDatestring

When the key last authenticated a request; blank when it never has

When the key last authenticated a request; blank when it never has

expiresDatestring

When the key expires; never when blank

When the key expires; never when blank

createdDate*string

When the key was issued

When the key was issued

JSON Example

{
  "code": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "isActive": false,
  "lastUsedDate": "2024-01-01T00:00:00Z",
  "expiresDate": "2024-01-01T00:00:00Z",
  "createdDate": "2024-01-01T00:00:00Z"
}